{
  "accUserMode" : 2,
  "caption" : "树表格增强",
  "codeName" : "FILETestTreeGridExView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILETestTreeGridExView.json",
  "mDCtrlActiveMode" : 2,
  "name" : "FILETestTreeGridExView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSAppViewEngines" : [ {
    "engineCat" : "VIEW",
    "engineType" : "TreeGridExView",
    "name" : "engine"
  } ],
  "getPSAppViewRefs" : [ {
    "name" : "NEWDATA",
    "realTitle" : "文件编辑视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
      "viewType" : "DEEDITVIEW"
    }
  }, {
    "name" : "EDITDATA",
    "realTitle" : "文件数据重定向视图",
    "getRefPSAppView" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILERedirectView.json",
      "viewType" : "DEREDIRECTVIEW"
    }
  } ],
  "getPSControls" : [ {
    "codeName" : "TestTreeGridExViewtoolbar",
    "controlType" : "TOOLBAR",
    "logicName" : "树表格视图（增强）_工具栏",
    "name" : "toolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlParam" : {
      "id" : "TOOLBAR"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.SAVE"
      },
      "caption" : "保存所有",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction7",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction7"
      },
      "getPSSysImage" : {
        "glyph" : "xf0c7@FontAwesome",
        "cssClass" : "fa fa-save"
      },
      "getPSUIAction" : {
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.SAVE"
        },
        "caption" : "保存",
        "codeName" : "Save",
        "fullCodeName" : "Save",
        "name" : "编辑界面_保存操作",
        "getPSSysImage" : {
          "glyph" : "xf0c7@FontAwesome",
          "cssClass" : "fa fa-save"
        },
        "predefinedType" : "EDITVIEW_SAVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.SAVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Save",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "保存所有",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.SAVE"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "buttonStyle" : "DANGER",
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EDIT"
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction3",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "toolbar_deuiaction3"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "buttonStyle" : "DANGER",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作_危险样式",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
      },
      "uIActionTarget" : "SINGLEKEY",
      "showCaption" : true,
      "showIcon" : true
    } ],
    "xDataControlName" : "treegridex",
    "modelid" : "2B81B68E-B4B3-4071-A3B8-F0614FAE1CF2",
    "modeltype" : "PSDETOOLBAR"
  }, {
    "codeName" : "TestTreeGridExView_TreeGrid",
    "controlType" : "TREEGRIDEX",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE/PSTREEGRIDICES/TestTreeGridExView_TreeGrid.json",
    "hookEventNames" : [ "ONCLICK", "ONLOADSUCCESS" ],
    "logicName" : "树表格视图（增强）_树表格",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlAttributes" : [ {
      "attrValue" : "console.log('注入属性')",
      "name" : "logic11"
    } ],
    "getPSControlHandler" : {
      "enableDEFieldPrivilege" : false,
      "id" : "treegridex"
    },
    "getPSControlLogics" : [ {
      "eventNames" : "onClick",
      "itemName" : "顶层节点",
      "logicTag" : "treegridex",
      "logicType" : "SCRIPT",
      "name" : "logic1",
      "scriptCode" : "console.log('顶级节点点击')"
    }, {
      "eventNames" : "onClick",
      "logicTag" : "treegridex",
      "logicType" : "SCRIPT",
      "name" : "customlogic1",
      "scriptCode" : "console.log('自定义事件')",
      "triggerType" : "CUSTOM"
    }, {
      "eventNames" : "onClick",
      "logicTag" : "treegridex",
      "logicType" : "SCRIPT",
      "name" : "logic",
      "scriptCode" : "console.log('定时器触发')",
      "timer" : 1000,
      "triggerType" : "TIMER"
    }, {
      "logicTag" : "treegridex",
      "logicType" : "SCRIPT",
      "name" : "logic13",
      "scriptCode" : "console.log('项显示逻辑')",
      "triggerType" : "ITEMVISIBLE"
    }, {
      "eventNames" : "onLoadSuccess",
      "logicTag" : "treegridex",
      "logicType" : "SCRIPT",
      "name" : "logic15",
      "scriptCode" : "console.log('部件事件触发')"
    } ],
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "TREEGRIDEX"
    },
    "getPSControlRenders" : [ {
      "layoutPanelModel" : "console.log('绘制器')",
      "name" : "logic12",
      "renderType" : "LAYOUTPANEL_MODEL"
    } ],
    "getPSDETreeColumns" : [ {
      "align" : "LEFT",
      "caption" : "名称",
      "codeName" : "name",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "name",
      "name" : "name",
      "width" : 200,
      "widthUnit" : "STAR",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "align" : "CENTER",
      "caption" : "标识",
      "codeName" : "uuid",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "uuid",
      "hideMode" : 1,
      "name" : "uuid",
      "width" : 100,
      "widthUnit" : "STAR",
      "enableExpand" : false,
      "enableSort" : false,
      "hideDefault" : true
    }, {
      "align" : "RIGHT",
      "caption" : "创建人",
      "codeName" : "createman",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "createman",
      "name" : "createman",
      "width" : 180,
      "widthUnit" : "PX",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "创建时间",
      "codeName" : "createdate",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "createdate",
      "name" : "createdate",
      "width" : 150,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "caption" : "图标",
      "codeName" : "pic",
      "columnType" : "DEFGRIDCOLUMN",
      "dataItemName" : "pic",
      "defaultValue" : "无图标（表格列）",
      "name" : "pic",
      "width" : 150,
      "widthUnit" : "px",
      "enableExpand" : false,
      "enableSort" : false
    }, {
      "align" : "RIGHT",
      "caption" : "操作",
      "codeName" : "uacol",
      "columnType" : "UAGRIDCOLUMN",
      "name" : "uacol",
      "getPSDEUIActionGroup" : {
        "codeName" : "Usr1222095635",
        "name" : "通用表格操作列",
        "getPSUIActionGroupDetails" : [ {
          "actionLevel" : 200,
          "buttonStyle" : "DANGER",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "detailType" : "DEUIACTION",
          "name" : "ua19525f",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "getPSUIAction" : {
            "actionTarget" : "SINGLEKEY",
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "codeName" : "Edit",
            "fullCodeName" : "Edit",
            "name" : "表格界面_编辑操作_危险样式",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "predefinedType" : "GRIDVIEW_EDITACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Edit",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        }, {
          "actionLevel" : 250,
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "detailType" : "DEUIACTION",
          "name" : "u1302c98",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "addSeparator" : false,
          "showCaption" : true,
          "showIcon" : true
        } ]
      },
      "width" : 150,
      "widthUnit" : "PX",
      "enableExpand" : false,
      "enableSort" : false
    } ],
    "getPSDETreeNodeRSs" : [ {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "node"
      },
      "name" : "顶层节点 - 节点",
      "getParentPSAppDEField" : {
        "name" : "PFILEID",
        "codeName" : "Pfileid"
      },
      "getParentPSDER1N" : {
        "codeName" : "FILE",
        "dERType" : "DER1N",
        "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDERS/DER1N_FILE_FILE_PFILEID.json",
        "fKeyName" : "F707DF066FDA2A892A",
        "logicName" : "名称",
        "getMajorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
        },
        "masterOrder" : -1,
        "masterRS" : 0,
        "minorCodeName" : "FILEs",
        "getMinorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
        },
        "minorServiceCodeName" : "FILEs",
        "name" : "DER1N_FILE_FILE_PFILEID",
        "orderValue" : 100,
        "getPSPickupDEField" : {
          "name" : "PFILEID",
          "codeName" : "Pfileid"
        },
        "getPSPickupTextDEField" : {
          "name" : "PFILENAME",
          "codeName" : "Pfilename"
        },
        "pickupDEFName" : "PFILEID",
        "removeActionType" : -1,
        "removeOrder" : 0,
        "serviceCodeName" : "FILE",
        "enableFKey" : true
      },
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "top_node"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "node"
      },
      "name" : "节点 - 节点",
      "getParentPSAppDEField" : {
        "name" : "PFILEID",
        "codeName" : "Pfileid"
      },
      "getParentPSDER1N" : {
        "codeName" : "FILE",
        "dERType" : "DER1N",
        "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/FILE/PSDERS/DER1N_FILE_FILE_PFILEID.json",
        "fKeyName" : "F707DF066FDA2A892A",
        "logicName" : "名称",
        "getMajorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
        },
        "masterOrder" : -1,
        "masterRS" : 0,
        "minorCodeName" : "FILEs",
        "getMinorPSDataEntity" : {
          "modelref" : true,
          "path" : "PSMODULES/Test/PSDATAENTITIES/FILE.json"
        },
        "minorServiceCodeName" : "FILEs",
        "name" : "DER1N_FILE_FILE_PFILEID",
        "orderValue" : 100,
        "getPSPickupDEField" : {
          "name" : "PFILEID",
          "codeName" : "Pfileid"
        },
        "getPSPickupTextDEField" : {
          "name" : "PFILENAME",
          "codeName" : "Pfilename"
        },
        "pickupDEFName" : "PFILEID",
        "removeActionType" : -1,
        "removeOrder" : 0,
        "serviceCodeName" : "FILE",
        "enableFKey" : true
      },
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "node"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "top_node"
      },
      "name" : "我的电脑 - 顶层节点",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "node_1"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    }, {
      "getChildPSDETreeNode" : {
        "modelref" : true,
        "id" : "top_node"
      },
      "name" : "默认根节点 - 顶层节点",
      "getParentPSDETreeNode" : {
        "modelref" : true,
        "id" : "ROOT"
      },
      "parentValueLevel" : 1,
      "searchMode" : 3
    } ],
    "getPSDETreeNodes" : [ {
      "counterMode" : 0,
      "name" : "默认根节点",
      "nodeType" : "ROOT",
      "nodeValue" : "root",
      "text" : "默认根节点",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : true,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : true,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "ROOT"
    }, {
      "counterMode" : 0,
      "dataSourceType" : "DEDATASET",
      "getIdPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      },
      "maxSize" : -1,
      "name" : "节点",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "nodeType" : "node",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchDefault"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
      },
      "getPSDETreeNodeColumns" : [ {
        "cLConvertMode" : "NONE",
        "codeName" : "createdate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createdate",
        "name" : "createdate",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createdate"
        },
        "getPSDEUIActionGroup" : {
          "codeName" : "Usr0803774731",
          "name" : "门户界面行为组",
          "getPSUIActionGroupDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "detailType" : "DEUIACTION",
            "name" : "u71a8bd4",
            "getPSSysCss" : {
              "cssName" : "crm-editview2-head"
            },
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "codeName" : "New",
              "fullCodeName" : "New",
              "name" : "表格界面_新建操作",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "predefinedType" : "GRIDVIEW_NEWACTION",
              "refreshMode" : 1,
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "New",
              "uIActionType" : "DEUIACTION",
              "reloadData" : true
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "uea72408",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "buttonStyle" : "DANGER",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作_危险样式",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "WARNING",
            "caption" : "百度",
            "detailType" : "DEUIACTION",
            "name" : "ubae97f0",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度_警告样式",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "uee0dcd7",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "SUCCESS",
            "caption" : "树选择取消",
            "detailType" : "DEUIACTION",
            "name" : "u160e609",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "SUCCESS",
              "caption" : "树选择取消",
              "codeName" : "TreePickerCancel",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "TreePickerCancel",
              "name" : "树选择取消_成功样式",
              "scriptCode" : "console.log('树选择取消');\r\nconst form = view.ctx.controllersMap.get('form');\r\nif (form) {\r\n    const treePicker = form.details['field24'];\r\n    if (treePicker && treePicker.state) treePicker.state.readonly = true;\r\n}",
              "uIActionMode" : "FRONT",
              "uIActionTag" : "TreePickerCancel",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ]
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss"
      }, {
        "cLConvertMode" : "BACKEND",
        "codeName" : "createman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createman",
        "name" : "createman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createman"
        },
        "getPSDEUIActionGroup" : {
          "codeName" : "Usr0803774731",
          "name" : "门户界面行为组",
          "getPSUIActionGroupDetails" : [ {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.NEW"
            },
            "caption" : "新建",
            "detailType" : "DEUIACTION",
            "name" : "u71a8bd4",
            "getPSSysCss" : {
              "cssName" : "crm-editview2-head"
            },
            "getPSSysImage" : {
              "glyph" : "xf0f6@FontAwesome",
              "cssClass" : "fa fa-file-text-o"
            },
            "getPSUIAction" : {
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.NEW"
              },
              "caption" : "新建",
              "codeName" : "New",
              "fullCodeName" : "New",
              "name" : "表格界面_新建操作",
              "getPSSysImage" : {
                "glyph" : "xf0f6@FontAwesome",
                "cssClass" : "fa fa-file-text-o"
              },
              "predefinedType" : "GRIDVIEW_NEWACTION",
              "refreshMode" : 1,
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.NEW"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "New",
              "uIActionType" : "DEUIACTION",
              "reloadData" : true
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.NEW"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "uea72408",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "buttonStyle" : "DANGER",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作_危险样式",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "WARNING",
            "caption" : "百度",
            "detailType" : "DEUIACTION",
            "name" : "ubae97f0",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "WARNING",
              "caption" : "百度",
              "codeName" : "openBaidu",
              "counterId" : "openBaidu",
              "frontProcessType" : "OPENHTMLPAGE",
              "fullCodeName" : "openBaidu",
              "htmlPageUrl" : "https://www.baidu.com/",
              "name" : "百度_警告样式",
              "getPSAppCounter" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "openBaidu",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "uee0dcd7",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "buttonStyle" : "SUCCESS",
            "caption" : "树选择取消",
            "detailType" : "DEUIACTION",
            "name" : "u160e609",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "buttonStyle" : "SUCCESS",
              "caption" : "树选择取消",
              "codeName" : "TreePickerCancel",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "TreePickerCancel",
              "name" : "树选择取消_成功样式",
              "scriptCode" : "console.log('树选择取消');\r\nconst form = view.ctx.controllersMap.get('form');\r\nif (form) {\r\n    const treePicker = form.details['field24'];\r\n    if (treePicker && treePicker.state) treePicker.state.readonly = true;\r\n}",
              "uIActionMode" : "FRONT",
              "uIActionTag" : "TreePickerCancel",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ]
        }
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "fileid",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "fileid",
        "name" : "fileid",
        "getPSAppDEField" : {
          "name" : "FILEID",
          "codeName" : "FILEId"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "uuid"
        }
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "filename",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "filename",
        "name" : "filename",
        "getPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "getPSDEUIActionGroup" : {
          "codeName" : "Usr0111725239",
          "name" : "树表格列操作",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "actionLevel" : 200,
            "detailType" : "DEUIACTION",
            "name" : "uee317c5",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionLevel" : 250,
              "actionTarget" : "SINGLEKEY",
              "caption" : "编辑",
              "codeName" : "FileEdit",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "FILE_FileEdit",
              "name" : "文件编辑",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
              },
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "refreshMode" : 2,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "FileEdit",
              "uIActionType" : "DEUIACTION",
              "reloadData" : true,
              "id" : "FileEdit@FILE"
            },
            "addSeparator" : false,
            "showCaption" : false,
            "showIcon" : true
          }, {
            "actionLevel" : 200,
            "detailType" : "DEUIACTION",
            "name" : "u5e792ee",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "删除",
              "codeName" : "FileRemove",
              "confirmMsg" : "是否确认删除？",
              "fullCodeName" : "FILE_FileRemove",
              "name" : "文件删除",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
              },
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "refreshMode" : 2,
              "timeout" : 60000,
              "uIActionMode" : "BACKEND",
              "uIActionTag" : "FileRemove",
              "uIActionType" : "DEUIACTION",
              "enableConfirm" : true,
              "reloadData" : true,
              "id" : "FileRemove@FILE"
            },
            "addSeparator" : false,
            "showCaption" : false,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "u1063721",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "FILE__Usr0111725239"
        },
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "icon",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "icon",
        "name" : "icon",
        "getPSAppDEField" : {
          "name" : "ICON",
          "codeName" : "ICON"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "pic"
        }
      }, {
        "codeName" : "uacol",
        "columnType" : "UAGRIDCOLUMN",
        "name" : "uacol",
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "uacol"
        },
        "getPSDEUIActionGroup" : {
          "codeName" : "Usr0111725239",
          "name" : "树表格列操作",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "actionLevel" : 200,
            "detailType" : "DEUIACTION",
            "name" : "uee317c5",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionLevel" : 250,
              "actionTarget" : "SINGLEKEY",
              "caption" : "编辑",
              "codeName" : "FileEdit",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "FILE_FileEdit",
              "name" : "文件编辑",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
              },
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "refreshMode" : 2,
              "uIActionMode" : "FRONT",
              "uIActionTag" : "FileEdit",
              "uIActionType" : "DEUIACTION",
              "reloadData" : true,
              "id" : "FileEdit@FILE"
            },
            "addSeparator" : false,
            "showCaption" : false,
            "showIcon" : true
          }, {
            "actionLevel" : 200,
            "detailType" : "DEUIACTION",
            "name" : "u5e792ee",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "删除",
              "codeName" : "FileRemove",
              "confirmMsg" : "是否确认删除？",
              "fullCodeName" : "FILE_FileRemove",
              "name" : "文件删除",
              "getPSAppDEMethod" : {
                "modelref" : true,
                "id" : "Remove"
              },
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
              },
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "refreshMode" : 2,
              "timeout" : 60000,
              "uIActionMode" : "BACKEND",
              "uIActionTag" : "FileRemove",
              "uIActionType" : "DEUIACTION",
              "enableConfirm" : true,
              "reloadData" : true,
              "id" : "FileRemove@FILE"
            },
            "addSeparator" : false,
            "showCaption" : false,
            "showIcon" : true
          }, {
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "u1063721",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "FILE__Usr0111725239"
        }
      } ],
      "getPSDETreeNodeDataItems" : [ {
        "cLConvertMode" : "NONE",
        "dataType" : 5,
        "name" : "createdate",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createdate"
        }
      }, {
        "cLConvertMode" : "BACKEND",
        "dataType" : 25,
        "name" : "createman",
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createman"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "fileid",
        "getPSAppDEField" : {
          "name" : "FILEID",
          "codeName" : "FILEId"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "uuid"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "filename",
        "getPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "defaultValue" : "无图标（表格列）",
        "name" : "icon",
        "getPSAppDEField" : {
          "name" : "ICON",
          "codeName" : "ICON"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "pic"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "uacol",
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "uacol"
        }
      } ],
      "getPSDETreeNodeEditItems" : [ {
        "codeName" : "filename",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "filename",
        "getPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "filename"
        },
        "allowEmpty" : true,
        "needCodeListConfig" : true
      } ],
      "getPSDETreeNodeRVs" : [ {
        "name" : "OPENDATA",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "getTextPSAppDEField" : {
        "name" : "FILENAME",
        "codeName" : "FILEName"
      },
      "treeNodeType" : "DE",
      "getUpdatePSAppDEAction" : {
        "modelref" : true,
        "id" : "Update"
      },
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : true,
      "enableRemoveData" : false,
      "enableRowEdit" : true,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : false,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "node"
    }, {
      "counterMode" : 0,
      "name" : "我的电脑",
      "nodeType" : "node_1",
      "text" : "我的电脑",
      "treeNodeType" : "STATIC",
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : true,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : true,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "node_1"
    }, {
      "counterMode" : 0,
      "dataSourceType" : "DEDATASET",
      "getIconPSAppDEField" : {
        "name" : "ICON",
        "codeName" : "ICON"
      },
      "getIdPSAppDEField" : {
        "name" : "FILEID",
        "codeName" : "FILEId"
      },
      "maxSize" : -1,
      "name" : "顶层节点",
      "getNavPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
        "viewType" : "DEEDITVIEW"
      },
      "nodeType" : "top_node",
      "getPSAppDEDataSet" : {
        "modelref" : true,
        "id" : "FetchTOP"
      },
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
      },
      "getPSDETreeNodeColumns" : [ {
        "cLConvertMode" : "NONE",
        "codeName" : "createdate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createdate",
        "name" : "createdate",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createdate"
        },
        "valueFormat" : "YYYY-MM-DD",
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "FRONT",
        "codeName" : "createman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createman",
        "name" : "createman",
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createman"
        },
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "fileid",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "fileid",
        "name" : "fileid",
        "getPSAppDEField" : {
          "name" : "FILEID",
          "codeName" : "FILEId"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "uuid"
        }
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "filename",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "filename",
        "getLinkPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
          "viewType" : "DEEDITVIEW"
        },
        "linkValueItem" : "srfkey",
        "name" : "filename",
        "getPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "enableLinkView" : true,
        "enableRowEdit" : true
      }, {
        "cLConvertMode" : "NONE",
        "codeName" : "icon",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "icon",
        "name" : "icon",
        "getPSAppDEField" : {
          "name" : "ICON",
          "codeName" : "ICON"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "pic"
        }
      } ],
      "getPSDETreeNodeDataItems" : [ {
        "cLConvertMode" : "NONE",
        "dataType" : 5,
        "format" : "YYYY-MM-DD",
        "name" : "createdate",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createdate"
        }
      }, {
        "cLConvertMode" : "FRONT",
        "dataType" : 25,
        "getFrontPSCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "name" : "createman",
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createman"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "fileid",
        "getPSAppDEField" : {
          "name" : "FILEID",
          "codeName" : "FILEId"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "uuid"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "name" : "filename",
        "getPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        }
      }, {
        "cLConvertMode" : "NONE",
        "dataType" : 25,
        "defaultValue" : "无图标（节点数据项）",
        "name" : "icon",
        "getPSAppDEField" : {
          "name" : "ICON",
          "codeName" : "ICON"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "pic"
        }
      } ],
      "getPSDETreeNodeEditItems" : [ {
        "codeName" : "createdate",
        "enableCond" : 2,
        "ignoreInput" : 0,
        "name" : "createdate",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createdate"
        },
        "getPSEditor" : {
          "dateTimeFormat" : "YYYY-MM-DD",
          "editorParams" : {
            "TIMEFMT" : "YYYY-MM-DD"
          },
          "editorType" : "DATEPICKEREX_NOTIME",
          "name" : "createdate"
        },
        "allowEmpty" : false
      }, {
        "codeName" : "createman",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "name" : "createman",
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "createman"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true
      }, {
        "codeName" : "filename",
        "enableCond" : 0,
        "ignoreInput" : 0,
        "name" : "filename",
        "getPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "getPSDETreeColumn" : {
          "modelref" : true,
          "id" : "name"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "maxLength" : 200,
          "name" : "filename"
        },
        "allowEmpty" : true
      } ],
      "getPSDETreeNodeRVs" : [ {
        "name" : "EDITDATA",
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/FILEEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "getTextPSAppDEField" : {
        "name" : "FILENAME",
        "codeName" : "FILEName"
      },
      "treeNodeType" : "DE",
      "getUpdatePSAppDEAction" : {
        "modelref" : true,
        "id" : "Update"
      },
      "hasPSDETreeNodeRSs" : true,
      "appendPNodeId" : false,
      "disableSelect" : false,
      "enableCheck" : false,
      "enableEditData" : false,
      "enableNewData" : false,
      "enableQuickCreate" : false,
      "enableQuickSearch" : true,
      "enableRemoveData" : false,
      "enableViewData" : false,
      "expandFirstOnly" : false,
      "expanded" : true,
      "rootNode" : false,
      "selectFirstOnly" : false,
      "selected" : false,
      "id" : "top_node"
    } ],
    "treeGridMode" : 1,
    "enableEdit" : true,
    "enableRootSelect" : false,
    "outputIconDefault" : false,
    "rootVisible" : false,
    "name" : "treegridex",
    "modelid" : "824DDE93-BF7D-4A38-9646-C06D8409DFC3",
    "modeltype" : "PSDETREEGRIDEX"
  }, {
    "codeName" : "Default",
    "controlType" : "SEARCHFORM",
    "defaultLabelWidth" : 130,
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE/PSSEARCHFORMS/Default.json",
    "logicName" : "默认搜索表单",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlHandler" : {
      "getPSHandlerActions" : [ {
        "actionType" : "FILTERACTION",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGet"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterGetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
        }
      }, {
        "actionType" : "FILTERACTION",
        "name" : "search",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FilterSearch"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
        }
      } ],
      "enableDEFieldPrivilege" : false,
      "id" : "搜索表单处理器"
    },
    "getPSControlParam" : {
      "autoLoad" : true,
      "showBusyIndicator" : true,
      "id" : "SEARCHFORM"
    },
    "getPSDEFormItems" : [ {
      "id" : "n_filename_like",
      "dataType" : 25,
      "getPSAppDEField" : {
        "name" : "FILENAME",
        "codeName" : "FILEName"
      }
    } ],
    "getPSDEFormPages" : [ {
      "caption" : "常规条件",
      "codeName" : "formpage1",
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMPAGE",
      "name" : "formpage1",
      "getPSDEFormDetails" : [ {
        "caption" : "文件名称",
        "codeName" : "n_filename_like",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "n_filename_like",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "FILENAME",
          "codeName" : "FILEName"
        },
        "getPSEditor" : {
          "editorType" : "TEXTBOX",
          "name" : "n_filename_like"
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false
    } ],
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "searchButtonStyle" : "DEFAULT",
    "tabHeaderPos" : "TOP",
    "enableAdvanceSearch" : false,
    "enableAutoSearch" : false,
    "enableFilterSave" : false,
    "noTabHeader" : true,
    "name" : "searchform",
    "modelid" : "af8480c92f0cf63321057ac6aeb58ff0",
    "modeltype" : "PSDEFORM_SEARCHFORM"
  }, {
    "codeName" : "Usr0201725697",
    "controlType" : "SEARCHBAR",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE/PSSEARCHBARS/Usr0201725697.json",
    "logicName" : "树表格搜索栏",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlParam" : {
      "id" : "SEARCHBAR"
    },
    "getPSSearchBarFilters" : [ {
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "filename",
      "getPSAppDEField" : {
        "name" : "FILENAME",
        "codeName" : "FILEName"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "filename"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    }, {
      "dataType" : 25,
      "itemType" : "FILTER",
      "labelPos" : "NONE",
      "labelWidth" : 0,
      "name" : "type",
      "getPSAppDEField" : {
        "name" : "TYPE",
        "codeName" : "TYPE"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "type"
      },
      "allowEmpty" : true,
      "emptyCaption" : false,
      "hidden" : false,
      "showCaption" : false
    } ],
    "quickGroupCount" : -1,
    "quickSearchMode" : 1,
    "quickSearchWidth" : 0,
    "enableFilter" : true,
    "enableGroup" : false,
    "enableQuickSearch" : true,
    "mobileSearchBar" : false,
    "name" : "searchbar",
    "modelid" : "735752E1-E042-4D32-97D6-7994ABCE5711",
    "modeltype" : "PSSYSSEARCHBAR"
  }, {
    "caption" : "树表格增强",
    "codeName" : "TestTreeGridExViewcaptionbar",
    "controlType" : "CAPTIONBAR",
    "name" : "captionbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlParam" : { }
  } ],
  "getPSDEViewCodeName" : "TestTreeGridExView",
  "getPSDEViewId" : "15268A1D-BEFB-441C-80E1-BA1A7F47553A",
  "getPSViewLayoutPanel" : {
    "codeName" : "Layoutpanel",
    "controlStyle" : "APPDETREEGRIDEXVIEW",
    "controlType" : "VIEWLAYOUTPANEL",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
    },
    "getPSControlParam" : { },
    "layoutBodyOnly" : true,
    "layoutPanel" : true,
    "useDefaultLayout" : true
  },
  "title" : "树表格视图（增强）",
  "viewStyle" : "DEFAULT",
  "viewType" : "DETREEGRIDEXVIEW",
  "xDataControlName" : "treegridex",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "modelid" : "533483034a0d43010fc48b711ecbab7c",
  "modeltype" : "PSAPPDEVIEW"
}